#include<stdio.h>

int main()
{
  unsigned int m, n;
  int k=0, suma = 0;
  int i;

  scanf("%d %d\n", &m, &n);

  if(m<0 || n<0 || m<n)
    return -1;
  
  while(k<=m)
    {
      for(i=1; i<=n; i++, k++)
	suma +=i;
 
      printf("%d\n", suma);

    }
   

